std::numeric_limits< long long > Struct Reference

`#include <limits>`

## Static Public Member Functions

static constexpr long long | denorm_min () noexcept
static constexpr long long | epsilon () noexcept
static constexpr long long | infinity () noexcept
static constexpr long long | lowest () noexcept
static constexpr long long | max () noexcept
static constexpr long long | min () noexcept
static constexpr long long | quiet_NaN () noexcept
static constexpr long long | round_error () noexcept
static constexpr long long | signaling_NaN () noexcept

## Static Public Attributes

static constexpr int | digits
static constexpr int | digits10
static constexpr float_denorm_style | has_denorm
static constexpr bool | has_denorm_loss
static constexpr bool | has_infinity
static constexpr bool | has_quiet_NaN
static constexpr bool | has_signaling_NaN
static constexpr bool | is_bounded
static constexpr bool | is_exact
static constexpr bool | is_iec559
static constexpr bool | is_integer
static constexpr bool | is_modulo
static constexpr bool | is_signed
static constexpr bool | is_specialized
static constexpr int | max_digits10
static constexpr int | max_exponent
static constexpr int | max_exponent10
static constexpr int | min_exponent
static constexpr int | min_exponent10
static constexpr int | radix
static constexpr float_round_style | round_style
static constexpr bool | tinyness_before
static constexpr bool | traps

## Detailed Description

numeric_limits<long long> specialization.

Definition at line 1339 of file limits.

## Member Function Documentation

## denorm_min()

static constexpr long long std::numeric_limits< long long >::denorm_min | ( |  | ) |

inline static constexpr noexcept

Definition at line 1395 of file limits.

## epsilon()

static constexpr long long std::numeric_limits< long long >::epsilon | ( |  | ) |

inline static constexpr noexcept

Definition at line 1367 of file limits.

## infinity()

static constexpr long long std::numeric_limits< long long >::infinity | ( |  | ) |

inline static constexpr noexcept

Definition at line 1385 of file limits.

## lowest()

static constexpr long long std::numeric_limits< long long >::lowest | ( |  | ) |

inline static constexpr noexcept

Definition at line 1351 of file limits.

## max()

static constexpr long long std::numeric_limits< long long >::max | ( |  | ) |

inline static constexpr noexcept

Definition at line 1347 of file limits.

## min()

static constexpr long long std::numeric_limits< long long >::min | ( |  | ) |

inline static constexpr noexcept

Definition at line 1344 of file limits.

## quiet_NaN()

static constexpr long long std::numeric_limits< long long >::quiet_NaN | ( |  | ) |

inline static constexpr noexcept

Definition at line 1388 of file limits.

## round_error()

static constexpr long long std::numeric_limits< long long >::round_error | ( |  | ) |

inline static constexpr noexcept

Definition at line 1370 of file limits.

## signaling_NaN()

static constexpr long long std::numeric_limits< long long >::signaling_NaN | ( |  | ) |

inline static constexpr noexcept

Definition at line 1391 of file limits.

## Member Data Documentation

## digits

constexpr int std::numeric_limits< long long >::digits

static constexpr

Definition at line 1354 of file limits.

## digits10

constexpr int std::numeric_limits< long long >::digits10

static constexpr

Definition at line 1356 of file limits.

## has_denorm

constexpr float_denorm_style std::numeric_limits< long long >::has_denorm

static constexpr

Definition at line 1380 of file limits.

## has_denorm_loss

constexpr bool std::numeric_limits< long long >::has_denorm_loss

static constexpr

Definition at line 1382 of file limits.

## has_infinity

constexpr bool std::numeric_limits< long long >::has_infinity

static constexpr

Definition at line 1377 of file limits.

## has_quiet_NaN

constexpr bool std::numeric_limits< long long >::has_quiet_NaN

static constexpr

Definition at line 1378 of file limits.

## has_signaling_NaN

constexpr bool std::numeric_limits< long long >::has_signaling_NaN

static constexpr

Definition at line 1379 of file limits.

## is_bounded

constexpr bool std::numeric_limits< long long >::is_bounded

static constexpr

Definition at line 1398 of file limits.

## is_exact

constexpr bool std::numeric_limits< long long >::is_exact

static constexpr

Definition at line 1363 of file limits.

## is_iec559

constexpr bool std::numeric_limits< long long >::is_iec559

static constexpr

Definition at line 1397 of file limits.

## is_integer

constexpr bool std::numeric_limits< long long >::is_integer

static constexpr

Definition at line 1362 of file limits.

## is_modulo

constexpr bool std::numeric_limits< long long >::is_modulo

static constexpr

Definition at line 1399 of file limits.

## is_signed

constexpr bool std::numeric_limits< long long >::is_signed

static constexpr

Definition at line 1361 of file limits.

## is_specialized

constexpr bool std::numeric_limits< long long >::is_specialized

static constexpr

Definition at line 1341 of file limits.

## max_digits10

constexpr int std::numeric_limits< long long >::max_digits10

static constexpr

Definition at line 1359 of file limits.

## max_exponent

constexpr int std::numeric_limits< long long >::max_exponent

static constexpr

Definition at line 1374 of file limits.

## max_exponent10

constexpr int std::numeric_limits< long long >::max_exponent10

static constexpr

Definition at line 1375 of file limits.

## min_exponent

constexpr int std::numeric_limits< long long >::min_exponent

static constexpr

Definition at line 1372 of file limits.

## min_exponent10

constexpr int std::numeric_limits< long long >::min_exponent10

static constexpr

Definition at line 1373 of file limits.

## radix

constexpr int std::numeric_limits< long long >::radix

static constexpr

Definition at line 1364 of file limits.

## round_style

constexpr float_round_style std::numeric_limits< long long >::round_style

static constexpr

Definition at line 1403 of file limits.

## tinyness_before

constexpr bool std::numeric_limits< long long >::tinyness_before

static constexpr

Definition at line 1402 of file limits.

## traps

constexpr bool std::numeric_limits< long long >::traps

static constexpr

Definition at line 1401 of file limits.

The documentation for this struct was generated from the following file:

- limits